project:
  type: website

website:
  title: "Docs"
  navbar:
      left:
        - href: index.qmd
          text: Home
        - about.qmd
        - href: src/quarto-basics.ipynb
          text: Quarto Basics
        - href: reference/
          text: Functions

format:
  html:
      encoding: 'UTF-8'
      theme: cosmo
      css: styles.css
      toc: true


# tell quarto to read the generated sidebar
metadata-files:
  - _sidebar.yml

quartodoc:
  # the name used to import the package you want to create reference docs for
  package: src

  # A directory where source files to be documented live. 
  # This is only necessary if you are not documenting a package, 
  # but collection of scripts. 
  source_dir: src

  # write sidebar data to this file
  sidebar: _sidebar.yml

  # Parser settings
  parser: google

  sections:
    - title: Some functions
      desc: Functions to inspect docstrings.
      contents:
        # the functions being documented in the package.
        # you can refer to anything: class methods, modules, etc..
        - my_module.add